You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@stratos.apache.org by ni...@apache.org on 2014/03/29 09:32:58 UTC

git commit: back porting Chris' fix, which is mistakenly removed - patch provided by Dinesh

Repository: incubator-stratos
Updated Branches:
  refs/heads/master eea6c6dee -> 3d526faa1


back porting Chris' fix, which is mistakenly removed - patch provided by Dinesh


Project: http://git-wip-us.apache.org/repos/asf/incubator-stratos/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-stratos/commit/3d526faa
Tree: http://git-wip-us.apache.org/repos/asf/incubator-stratos/tree/3d526faa
Diff: http://git-wip-us.apache.org/repos/asf/incubator-stratos/diff/3d526faa

Branch: refs/heads/master
Commit: 3d526faa1fc40a6abcc50c3a46bcc2a188738c7d
Parents: eea6c6d
Author: Chris Snow <ch...@apache.org>
Authored: Sat Mar 29 14:02:33 2014 +0530
Committer: Nirmal Fernando <ni...@apache.org>
Committed: Sat Mar 29 14:02:33 2014 +0530

----------------------------------------------------------------------
 tools/stratos-installer/stratos-setup.sh | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-stratos/blob/3d526faa/tools/stratos-installer/stratos-setup.sh
----------------------------------------------------------------------
diff --git a/tools/stratos-installer/stratos-setup.sh b/tools/stratos-installer/stratos-setup.sh
index ebd249d..d272c49 100755
--- a/tools/stratos-installer/stratos-setup.sh
+++ b/tools/stratos-installer/stratos-setup.sh
@@ -33,11 +33,12 @@ profile_list="default;cc;as;sm"
 profile="default"
 config_mb="true"
 activemq_client_libs=(activemq-broker-5.8.0.jar  activemq-client-5.8.0.jar  geronimo-j2ee-management_1.1_spec-1.0.1.jar  geronimo-jms_1.1_spec-1.1.1.jar  hawtbuf-1.2.jar)
+auto_start_servers="false"
 
 function help {
     echo ""
     echo "Usage:"
-    echo "setup.sh -p \"<profile>\""
+    echo "setup.sh -p \"<profile>\" [-s]"
     echo "product list : [default, cc, as, sm]"
     echo "Example:"
     echo "sudo ./setup.sh -p \"default\""
@@ -45,6 +46,7 @@ function help {
     echo ""
     echo "-p: <profile> Apache Stratos products to be installed on this node. Provide one name of a profile."
     echo "    The available profiles are cc, as, sm or default. 'default' means you need to setup all servers in this machine. Default is 'default' profile"
+    echo "-s: Start servers after installation."
     echo ""
 }
 
@@ -54,6 +56,9 @@ do
     p)
         profile_list=${OPTARG}
         ;;
+    s)
+        auto_start_servers="true"
+        ;;
     \?)
         help
         exit 1
@@ -612,9 +617,11 @@ chown $host_user:$host_user $stratos_path -R
 
 echo "Apache Stratos setup has successfully completed"
 
-read -p "Do you want to start the servers [y/n]? " answer
-if [[ $answer != y ]] ; then
-   exit 1
+if [[ $auto_start_servers != "true" ]]; then
+    read -p "Do you want to start the servers [y/n]? " answer
+    if [[ $answer != y ]] ; then
+        exit 1
+    fi
 fi
 
 echo "Starting the servers" >> $LOG